<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Strayed</Series>
  <Number>003</Number>
  <Web>https://www.comixology.com/Strayed-3/digital-comic/801632</Web>
  <Summary>Lou's cosmic adventures lead him to a survivor of a terrible galactic war. Beyond tales of past woe, this new ally seems to hold the key to future peace. Meanwhile, Premier Peely takes further steps to advance his sinister plans of galactic domination.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB801632]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Science Fiction, Action/Adventure</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
